<?php
/*
  $Id: header.php,v 1.42 2003/06/10 18:20:38 hpdl Exp $

  E-Commerce Solutions

  Copyright (c) 2005 www.flash-template-design.com

  Released under the GNU General Public License
*/

// check if the 'install' directory exists, and warn of its existence
  if (WARN_INSTALL_EXISTENCE == 'true') {
    if (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/install')) {
      $messageStack->add('header', WARNING_INSTALL_DIRECTORY_EXISTS, 'warning');
    }
  }

// check if the configure.php file is writeable
  if (WARN_CONFIG_WRITEABLE == 'true') {
    if ( (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) && (is_writeable(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) ) {
      $messageStack->add('header', WARNING_CONFIG_FILE_WRITEABLE, 'warning');
    }
  }

// check if the session folder is writeable
  if (WARN_SESSION_DIRECTORY_NOT_WRITEABLE == 'true') {
    if (STORE_SESSIONS == '') {
      if (!is_dir(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NON_EXISTENT, 'warning');
      } elseif (!is_writeable(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NOT_WRITEABLE, 'warning');
      }
    }
  }

// check session.auto_start is disabled
  if ( (function_exists('ini_get')) && (WARN_SESSION_AUTO_START == 'true') ) {
    if (ini_get('session.auto_start') == '1') {
      $messageStack->add('header', WARNING_SESSION_AUTO_START, 'warning');
    }
  }

  if ( (WARN_DOWNLOAD_DIRECTORY_NOT_READABLE == 'true') && (DOWNLOAD_ENABLED == 'true') ) {
    if (!is_dir(DIR_FS_DOWNLOAD)) {
      $messageStack->add('header', WARNING_DOWNLOAD_DIRECTORY_NON_EXISTENT, 'warning');
    }
  }

  if ($messageStack->size('header') > 0) {
    echo $messageStack->output('header');
  }
?>

<center>
 <table border="0" cellpadding="0" cellspacing="0" width="695" bgcolor="#FFFFFF" >
   <tr>
       <td colspan="2" width="100%" align="left">
           <table border="0" cellpadding="0" cellspacing="0" width="100%">
                  <tr>
                      <td><img src="images/pets.gif" width="177" height="39"></td>
                      <td style="background:url(images/header_bg.gif) repeat-x;width:424px;">
                        <div id="head"><a href="<?php echo tep_href_link(FILENAME_ABOUT_US) ?>">Company</a>  /  <a href="<?php echo tep_href_link(FILENAME_SERVICE) ?>">Service</a>  /  <a href="<?php echo tep_href_link(FILENAME_NEWS) ?>">News</a>  /  <a href="<?php echo tep_href_link(FILENAME_ADVANCED_SEARCH) ?>">Advanced Search</a>  /  <a href="<?php echo tep_href_link(FILENAME_LOGIN) ?>">Customer Login</a></div>
                      </td>
                      <td style="background:url(images/header_bg.gif) repeat-x;width:94px;">
                          <?php if (substr(basename($PHP_SELF), 0, 8) != 'checkout') {
                                    include(DIR_WS_BOXES . 'languages.php');
                                	}
                          ?>
                      </td>
                  </tr>
           </table>
       </td>
   </tr>
   <tr>
		<td colspan="2" width="100%" align="left">
      <table border="0" cellpadding="0" cellspacing="0">
             <tr>
                 <td style="background: url('images/title.gif') no-repeat;" width="418" height="184" valign="bottom"><?php require(DIR_WS_BOXES . 'search.php');?>
</td>
                 <td><div style="border-left:2px solid #FFFFFF;border-right:3px solid #FFFFFF;"><?php include(DIR_WS_BOXES . 'menu.php');?></div></td>
                 <td valign="top">
                     <table border="0" cellpadding="0" cellspacing="0">
                            <tr><td background="images/shopping_cart.gif" width="121" height="119" align="center" valign="bottom">
                                    <div id="logo"><table><tr>
			  	                                     <td>Now in your cart</td>
                                           </tr>
			                                     <tr>
			  	                                     <td width="40%"><b><div style="color:#BED73E;font-size:12px;"><?php  echo sizeof($products = $cart->get_products()).' items'; ?></b></td>
                                           </tr>
                                    </table></div>
                            </td></tr>
                            <?php if (substr(basename($PHP_SELF), 0, 8) != 'checkout') {
                                          include(DIR_WS_BOXES . 'currencies.php');
                                        }
                                       ?>
                 </table>
                 </td>
             </tr>
      </table>

  
  
<?php
  if (isset($HTTP_GET_VARS['error_message']) && tep_not_null($HTTP_GET_VARS['error_message'])) {
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr class="headerError">
    <td class="headerError"><?php echo htmlspecialchars(urldecode($HTTP_GET_VARS['error_message'])); ?></td>
  </tr>
</table>
<?php
  }

  if (isset($HTTP_GET_VARS['info_message']) && tep_not_null($HTTP_GET_VARS['info_message'])) {
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr class="headerInfo">
    <td class="headerInfo"><?php echo htmlspecialchars($HTTP_GET_VARS['info_message']); ?></td>
  </tr>
</table>
<?php
  }
?>
</td>
</tr>
